function onBegin()
    if not getFlag("a9_switch1") then
        disableMovement()
        makeUnskippable()
        say("aletris_looby_idiot")
    end
end

function onEnd(room, wasSkipped)
    enableMovement()
end
